/* SPDX-License-Identifier: GPL-2.0 */
#ifndef _SCSI_GENERIC_H
#define _SCSI_GENERIC_H

#include <linux/compiler.h>

#ifdef __KERNEL__
extern int sg_big_buff; /* for sysctl */
#endif

/*
 * In version 3.9.01 of the sg driver, this file was spilt in two, with the
 * bulk of the user space interface being placed in the file being included
 * in the following line.
 */
#include <uapi/scsi/sg.h>

#ifdef __KERNEL__
#define SG_DEFAULT_TIMEOUT_USER (60*USER_HZ) /* HZ == 'jiffies in 1 second' */
#endif

#undef SG_DEFAULT_TIMEOUT	/* because of conflicting define in sg.c */

#endif	/* end of ifndef _SCSI_GENERIC_H guard */
